cdac.medinfo.sdk.hl7282.utils

## Enum EnumMapModifyMode

- java.lang.Object
- - java.lang.Enum<EnumMapModifyMode>
  - - cdac.medinfo.sdk.hl7282.utils.EnumMapModifyMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumMapModifyMode>

      public enum EnumMapModifyMode
      extends java.lang.Enum<EnumMapModifyMode>

  EnumMapModifyMode represents enumerated values for map modifications. These values are used for modifications in Message Map and Segment Map.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` mode for after index
    `CURRENT` mode for current index
    `REPLACE` mode for replace index

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns the int value of this enum.
    `static EnumMapModifyMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumMapModifyMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CURRENT

          public static final EnumMapModifyMode CURRENT

      mode for current index

    - #### AFTER

          public static final EnumMapModifyMode AFTER

      mode for after index

    - #### REPLACE

          public static final EnumMapModifyMode REPLACE

      mode for replace index

  - ### Method Detail

    - #### values

          public static EnumMapModifyMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumMapModifyMode c : EnumMapModifyMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumMapModifyMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns the int value of this enum.
      Returns:
        int - integer value of map modification mode.